Bug 249662 - devel/py-typing: depends on python 2.x
Summary: devel/py-typing: depends on python 2.x
Status: Closed Works As Intended
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:25 UTC by Steve Wills
Modified: 2020-10-20 02:22 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rm)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:25:28 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2020-09-24 18:28:08 UTC
This one cannot be "fixed". It's a backport of standard python3 module for pythons < 3.5 (we now only have 2.7 in ports). I'll update it to latest version and set to to expire at December 31.
Comment 2 commit-hook freebsd_committer 2020-10-20 02:03:19 UTC
A commit references this bug:

Author: dbaio
Date: Tue Oct 20 02:02:40 UTC 2020
New revision: 552787
URL: https://svnweb.freebsd.org/changeset/ports/552787

Log:
  devel/py-typing: Mark as deprecated, following lang/python27

  PR:		249662

Changes:
  head/devel/py-typing/Makefile
Comment 3 Danilo G. Baio freebsd_committer 2020-10-20 02:22:58 UTC
Python 2 only, backport of Python 3